unit ecEditorAbout;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  {$IFNDEF WIN32} System.ComponentModel, {$ENDIF}
  Dialogs, StdCtrls, ExtCtrls, ShellApi;

type
  TAboutForm = class(TForm)
    Image1: TImage;
    Label2: TLabel;
    Label3: TLabel;
    Bevel1: TBevel;
    Button1: TButton;
    Label4: TLabel;
    Label1: TLabel;
    Label5: TLabel;
    procedure Label1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

implementation

{$R *.dfm}

procedure TAboutForm.Label1Click(Sender: TObject);
begin
 ShellExecute(Handle, 'open', 'http://www.econtrol.ru/', '', '', SW_SHOWNORMAL);
end;

procedure TAboutForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

end.
